package com.nantian.cloud.dbcapp.mapper.record;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollect;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ConfigureDataCollectMapper extends BaseMapper<ConfigureDataCollect> {
    List<Map<String, Object>> getList(@Param("page")Page page, @Param("epc") String epc, @Param("collectItemName") String collectItemName);
    List<Map<String, Object>> getListData(@Param("epc") String epc, @Param("collectItemName") String collectItemName);
    List<Map<String, Object>> getListDataNew(@Param("epc") String epc, @Param("collectItemName") String collectItemName);

    Integer getTotal(@Param("epc") String epc, @Param("collectItemName") String collectItemName);

    List<Map<String, Object>> getAssistList(@Param("epc") String epc);

    boolean updateByepc(@Param("query") ConfigureDataCollect obj);

    boolean saveData(@Param("data") ConfigureDataCollect configureDataCollect);

    ConfigureDataCollect getListDataNewMap(@Param("epc") String epc,@Param("collectItemName") String collectItemName);
}
